Topic: Upgrading Fedora 27 to 28, Import of key(s) didn't help, wrong keys?

Help me Obi-Remi, you're my only hope!  You helped me a little while ago with an ImageMagick packaging problem, now I'm upgrading my Fedora system and have run into more trouble.

I'm trying to use this to upgrade my Fedora 27 to 28:

# dnf system-upgrade download --refresh --releasever=28

I get this (please excuse me, the 'code' formatting option doesn't seem to work here..):

[cut for size]
[SKIPPED] bijiben-3.28.3-1.fc28.x86_64.rpm: Already downloaded                                                                                                               
warning: /var/lib/dnf/system-upgrade/remi-734df52702d099bc/packages/php56-2.3-1.fc28.remi.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID 5f11735a: NOKEY
Importing GPG key 0x00F97F56:
Userid     : "Remi Collet <RPMS@FamilleCollet.com>"
Fingerprint: 1EE0 4CCE 88A4 AE4A A29A 5DF5 004E 6F47 00F9 7F56
From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Is this ok [y/N]: y
Key imported successfully
Import of key(s) didn't help, wrong key(s)?
Public key for php56-2.3-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-2.3-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-pear-1.10.5-6.fc28.remi.noarch.rpm is not installed. Failing package is: php56-php-pear-1:1.10.5-6.fc28.remi.noarch
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-pecl-jsonc-1.3.10-2.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-pecl-jsonc-1.3.10-2.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-pecl-xdebug-2.5.5-3.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-pecl-xdebug-2.5.5-3.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-runtime-2.3-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-runtime-2.3-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php70-runtime-1.0-5.fc28.remi.x86_64.rpm is not installed. Failing package is: php70-runtime-1.0-5.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php71-runtime-1.0-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php71-runtime-1.0-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php72-runtime-1.0-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php72-runtime-1.0-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for libbson-1.12.0-1.fc28.remi.x86_64.rpm is not installed. Failing package is: libbson-1.12.0-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for libdvdcss-1.4.2-1.fc28.remi.x86_64.rpm is not installed. Failing package is: libdvdcss-1.4.2-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for libpaper-1.1.24-21.fc28.remi.x86_64.rpm is not installed. Failing package is: libpaper-1.1.24-21.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for libzip-1.5.1-1.fc28.remi.x86_64.rpm is not installed. Failing package is: libzip-1.5.1-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-bcmath-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-bcmath-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-common-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-common-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-json-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-json-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-xml-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-xml-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-soap-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-soap-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-process-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-process-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-pdo-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-pdo-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-mbstring-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-mbstring-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-imap-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-imap-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-gd-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-gd-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-cli-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-cli-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-pgsql-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-pgsql-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-mysqlnd-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-mysqlnd-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-devel-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php-devel-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-pear-DB-1.9.2-6.fc28.remi.noarch.rpm is not installed. Failing package is: php-pear-DB-1.9.2-6.fc28.remi.noarch
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-pecl-apcu-5.1.12-1.fc28.remi.7.2.x86_64.rpm is not installed. Failing package is: php-pecl-apcu-5.1.12-1.fc28.remi.7.2.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php-pecl-xdebug-2.6.1-1.fc28.remi.7.2.x86_64.rpm is not installed. Failing package is: php-pecl-xdebug-2.6.1-1.fc28.remi.7.2.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-cli-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-cli-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-common-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-common-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-xml-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-xml-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-process-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-process-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-pdo-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-pdo-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-mcrypt-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-mcrypt-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-imap-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-imap-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-gd-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-gd-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-fpm-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-fpm-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-mysqlnd-5.6.37-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-mysqlnd-5.6.37-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-pecl-imagick-3.4.3-11.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-pecl-imagick-3.4.3-11.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php56-php-pecl-zip-1.15.3-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php56-php-pecl-zip-1.15.3-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php70-php-common-7.0.31-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php70-php-common-7.0.31-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php70-php-json-7.0.31-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php70-php-json-7.0.31-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php70-php-imap-7.0.31-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php70-php-imap-7.0.31-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php71-php-common-7.1.21-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php71-php-common-7.1.21-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php71-php-json-7.1.21-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php71-php-json-7.1.21-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php71-php-imap-7.1.21-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php71-php-imap-7.1.21-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php72-php-common-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php72-php-common-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php72-php-json-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php72-php-json-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for php72-php-imap-7.2.9-1.fc28.remi.x86_64.rpm is not installed. Failing package is: php72-php-imap-7.2.9-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for remi-release-28-3.fc28.remi.noarch.rpm is not installed. Failing package is: remi-release-28-3.fc28.remi.noarch
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for ImageMagick-6.9.9.40-2.fc28.remi.x86_64.rpm is not installed. Failing package is: ImageMagick-1:6.9.9.40-2.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for ImageMagick-libs-6.9.9.40-2.fc28.remi.x86_64.rpm is not installed. Failing package is: ImageMagick-libs-1:6.9.9.40-2.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for ImageMagick-perl-6.9.9.40-2.fc28.remi.x86_64.rpm is not installed. Failing package is: ImageMagick-perl-1:6.9.9.40-2.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for ImageMagick-c++-6.9.9.40-2.fc28.remi.x86_64.rpm is not installed. Failing package is: ImageMagick-c++-1:6.9.9.40-2.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Public key for ImageMagick6-libs-6.9.10.10-1.fc28.remi.x86_64.rpm is not installed. Failing package is: ImageMagick6-libs-1:6.9.10.10-1.fc28.remi.x86_64
GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED

I cannot proceed with the install and am not sure what to do.

Re: Upgrading Fedora 27 to 28, Import of key(s) didn't help, wrong keys?

See the FAQ : https://blog.remirepo.net/pages/English-FAQ#fedup

So you need to import the /etc/pki/rpm-gpg/RPM-GPG-KEY-remi2018   key before running the upgrade

P.S. with latest remi-release, the key is configured as

gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi-$releasever

so dnf should be able to import the right key

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Upgrading Fedora 27 to 28, Import of key(s) didn't help, wrong keys?

Ah, you beat me to it smile  Yes I should have installed the latest GPG key before trying any other workarounds.

In my haste to work around, I got lazy and ran the dnf system-upgrade command with --nogpgcheck .. this downloaded the packages.  Then the reboot failed to run the upgrade, checking /var/log/dnf.log showed me the same gpg check error as before, so I edited /etc/yum.repos.d/remi.repo to set gpgcheck=0 .. then realised maybe I could import the key myself as you suggest, so I did that, but went ahead with the upgrade anyway.  I'm now on Fedora 28 successfully.

I had assumed the upgrade should have installed the new key automatically but clearly this isn't true, hopefully this can help someone else running into this.

Merci!